Failing to load OS from systemd bootloader

Hello, i tried searching for the error and found nothing. First i will explain what happened from start.
I was updating system my system and it crashed so i accessed it as chroot and done update that way. I reinstalled kernels and now when i try to boot into my system (which is finally visible in bootloader), I get nothing just message saying “Error loading \ac3c28d221b941aaaad43299a77f1ddf6\6.8.7-arch1-1\linux: Unsupported”

Can somebody help me?

Reinstall kernels will help if your system is working and you are missing the kernels or initramfs. If your system crashed mid-update, your system might not be valid anymore.

From within the chroot run this:

paccheck --list-broken --md5sum 

That should give you a list of broken packages, reinstall all those packages. Then run pacman -Syu and reinstall-kernels after that.

I did as you said. After paccheck it said there are some files missing so i reinstalled those packages, after that run pacman -Syu and it installed eos-translations, eventhough the missing files were for nvidia-dkms. After that reinstall-kernels everything was good. Reboot and same error popped up.

These were the outputs of suggested commands after chroot (outputs did not change):

[root@EndeavourOS /]# paccheck --list-broken --md5sum
warning: linux: mtree data not available (Invalid argument)
warning: linux-headers: mtree data not available (Invalid argument)
lsb-release
warning: nilfs-utils: mtree data not available (Invalid argument)
warning: nvidia-dkms: mtree data not available (Invalid argument)
warning: passim: mtree data not available (Invalid argument)
warning: plasma-browser-integration: mtree data not available (Invalid argument)
warning: plasma-desktop: mtree data not available (Invalid argument)
warning: plasma-disks: mtree data not available (Invalid argument)
warning: plasma-firewall: mtree data not available (Invalid argument)
warning: plasma-nm: mtree data not available (Invalid argument)
warning: plasma-pa: mtree data not available (Invalid argument)
warning: plasma-systemmonitor: mtree data not available (Invalid argument)
warning: polkit-kde-agent: mtree data not available (Invalid argument)
warning: powerdevil: mtree data not available (Invalid argument)
warning: print-manager: mtree data not available (Invalid argument)
warning: pv: mtree data not available (Invalid argument)
warning: python-pillow: mtree data not available (Invalid argument)
warning: python-pycups: mtree data not available (Invalid argument)
warning: sddm-kcm: mtree data not available (Invalid argument)
warning: thunderbird: mtree data not available (Invalid argument)
warning: vim: mtree data not available (Invalid argument)
warning: vim-runtime: mtree data not available (Invalid argument)
warning: welcome: mtree data not available (Invalid argument)
warning: wildmidi: mtree data not available (Invalid argument)
warning: xfsprogs: mtree data not available (Invalid argument)

then installed files missing mtree data adn the one that don’t:

[root@EndeavourOS /]# pacman -S linux linux-headers lsb-release nilfs-utils nvidia-dkms passim plasma-browser-integration plasma-desktop plasma-disks plasma-firewall plasma-nm plasma-pa plasma-systemmonitor polkit-kde-agent powerdevil print-manager pv python-pillow python-pycups sddm-kcm thunderbird vim vim-runtime welcome wildmidi xfsprogs
warning: linux-6.8.7.arch1-1 is up to date – reinstalling
warning: linux-headers-6.8.7.arch1-1 is up to date – reinstalling
warning: lsb-release-2.0.r53.a86f885-1 is up to date – reinstalling
warning: nilfs-utils-2.2.11-1 is up to date – reinstalling
warning: nvidia-dkms-550.76-1 is up to date – reinstalling
warning: passim-0.1.7-1 is up to date – reinstalling
warning: plasma-browser-integration-6.0.4-1 is up to date – reinstalling
warning: plasma-desktop-6.0.4-1 is up to date – reinstalling
warning: plasma-disks-6.0.4-1 is up to date – reinstalling
warning: plasma-firewall-6.0.4-1 is up to date – reinstalling
warning: plasma-nm-6.0.4-1 is up to date – reinstalling
warning: plasma-pa-6.0.4-1 is up to date – reinstalling
warning: plasma-systemmonitor-6.0.4-1 is up to date – reinstalling
warning: polkit-kde-agent-6.0.4-1 is up to date – reinstalling
warning: powerdevil-6.0.4-1 is up to date – reinstalling
warning: print-manager-1:6.0.4-1 is up to date – reinstalling
warning: pv-1.8.9-1 is up to date – reinstalling
warning: python-pillow-10.3.0-1 is up to date – reinstalling
warning: python-pycups-2.0.4-1 is up to date – reinstalling
warning: sddm-kcm-6.0.4-1 is up to date – reinstalling
warning: thunderbird-115.10.1-1 is up to date – reinstalling
warning: vim-9.1.0346-1 is up to date – reinstalling
warning: vim-runtime-9.1.0346-1 is up to date – reinstalling
warning: welcome-24.5.8-1 is up to date – reinstalling
warning: wildmidi-0.4.6-1 is up to date – reinstalling
warning: xfsprogs-6.7.0-1 is up to date – reinstalling
resolving dependencies…
looking for conflicting packages…

Package (37) Old Version New Version Net Change

extra/botan2 2.19.3-1 7.40 MiB
extra/dbus-glib 0.112-3 0.80 MiB
extra/ddcutil 2.1.4-1 1.89 MiB
endeavouros/eos-qogir-icons 5-1 22.42 MiB
extra/i2c-tools 4.3-4 0.32 MiB
extra/kmenuedit 6.0.4-1 1.93 MiB
extra/libimagequant 4.3.0-1 0.62 MiB
extra/liburcu 0.14.0-1 0.79 MiB
extra/pahole 1:1.26-1 0.83 MiB
extra/qcoro-qt6 0.10.0-1 0.65 MiB
extra/qt6-websockets 6.7.0-1 0.35 MiB
core/linux 6.8.7.arch1-1 6.8.7.arch1-1 132.41 MiB
core/linux-headers 6.8.7.arch1-1 6.8.7.arch1-1 127.79 MiB
extra/lsb-release 2.0.r53.a86f885-1 2.0.r53.a86f885-1 0.00 MiB
core/nilfs-utils 2.2.11-1 2.2.11-1 0.38 MiB
extra/nvidia-dkms 550.76-1 550.76-1 68.30 MiB
extra/passim 0.1.7-1 0.1.7-1 0.36 MiB
extra/plasma-browser-integration 6.0.4-1 6.0.4-1 0.48 MiB
extra/plasma-desktop 6.0.4-1 6.0.4-1 30.60 MiB
extra/plasma-disks 6.0.4-1 6.0.4-1 0.56 MiB
extra/plasma-firewall 6.0.4-1 6.0.4-1 1.23 MiB
extra/plasma-nm 6.0.4-1 6.0.4-1 9.66 MiB
extra/plasma-pa 6.0.4-1 6.0.4-1 1.06 MiB
extra/plasma-systemmonitor 6.0.4-1 6.0.4-1 1.97 MiB
extra/polkit-kde-agent 6.0.4-1 6.0.4-1 0.23 MiB
extra/powerdevil 6.0.4-1 6.0.4-1 2.75 MiB
extra/print-manager 1:6.0.4-1 1:6.0.4-1 2.48 MiB
extra/pv 1.8.9-1 1.8.9-1 0.23 MiB
extra/python-pillow 10.3.0-1 10.3.0-1 4.22 MiB
extra/python-pycups 2.0.4-1 2.0.4-1 0.18 MiB
extra/sddm-kcm 6.0.4-1 6.0.4-1 0.50 MiB
extra/thunderbird 115.10.1-1 115.10.1-1 212.41 MiB
extra/vim 9.1.0346-1 9.1.0346-1 4.70 MiB
extra/vim-runtime 9.1.0346-1 9.1.0346-1 36.27 MiB
endeavouros/welcome 24.5.8-1 24.5.8-1 0.09 MiB
extra/wildmidi 0.4.6-1 0.4.6-1 0.17 MiB
core/xfsprogs 6.7.0-1 6.7.0-1 3.72 MiB

Total Installed Size: 680.74 MiB
Net Upgrade Size: 680.72 MiB

:: Proceed with installation? [Y/n] y
(37/37) checking keys in keyring [------------------------------------] 100%
(37/37) checking package integrity [------------------------------------] 100%
(37/37) loading package files [------------------------------------] 100%
(37/37) checking for file conflicts [------------------------------------] 100%
error: failed to commit transaction (conflicting files)
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/aegis128-aesni.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/aesni-intel.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/aria-aesni-avx-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/aria-aesni-avx2-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/aria-gfni-avx512-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/blowfish-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/camellia-aesni-avx-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/camellia-aesni-avx2.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/camellia-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/cast5-avx-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/cast6-avx-x86_64.ko.zst exists in filesystem
linux: /usr/lib/modules/6.8.7-arch1-1/kernel/arch/x86/crypto/chacha-x86_64.ko.zst exists in filesystem

Errors occurred, no packages were upgraded.

There was ton of stuff with this message exists in filesystem:

[root@EndeavourOS /]# pacman -Syu
:: Synchronizing package databases…
endeavouros is up to date
core is up to date
extra 8.1 MiB 7.43 MiB/s 00:01 [------------------------------------] 100%
multilib is up to date
:: Starting full system upgrade…
there is nothing to do

reinstall kernels:

[root@EndeavourOS /]# reinstall-kernels
Installing kernel 6.8.7-arch1-1
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/net/ethernet/broadcom/cni
c.ko.zst: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/fs/fat/fat.ko.zst: Invalid argume
nt
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/media/rc/fintek-cir.ko.zs
t: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/nfc/nfcmrvl/nfcmrvl_uart.
ko.zst: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/rtc/rtc-pcf85063.ko.zst:
Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/media/i2c/saa6752hs.ko.zs
t: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/fs/vboxsf/vboxsf.ko.zst: Invalid
argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/media/i2c/adp1653.ko.zst:
Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/usb/serial/aircable.ko.zs
t: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/crypto/gcm.ko.zst: Invalid argume
nt
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/platform/x86/intel/teleme
try/intel_telemetry_debugfs.ko.zst: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/net/netfilter/ipvs/ip_vs_dh.ko.zs
t: Invalid argument
depmod: ERROR: failed to load symbols from /lib/modules/6.8.7-arch1-1/kernel/drivers/leds/leds-lm355x.ko.zst:
Invalid argument

depmod: ERROR: failed to load symbols from /var/tmp/dracut.bDdTiu/initramfs/lib/modules/6.8.7-arch1-1/kernel/drivers/input/keyboard/applespi.ko.zst: Invalid argument
dracut[I]: *** Installing kernel module dependencies done ***
dracut[I]: *** Resolving executable dependencies ***
dracut[I]: *** Resolving executable dependencies done ***
dracut[I]: *** Hardlinking files ***
dracut[I]: *** Hardlinking files done ***
dracut[I]: *** Generating early-microcode cpio image ***
dracut[I]: *** Constructing GenuineIntel.bin ***
dracut[I]: *** Store current command line parameters ***
dracut[I]: *** Stripping files ***
dracut[I]: *** Stripping files done ***
dracut[I]: *** Creating image file ‘/efi/ac3c28d221b941aaad43299a77f1ddf6/6.8.7-arch1-1/initrd’ ***
dracut[I]: *** Creating initramfs image file ‘/efi/ac3c28d221b941aaad43299a77f1ddf6/6.8.7-arch1-1/initrd’ done ***

this is all he messages, should i look for something specific?

You need to fix that. That means it didn’t do anything.

If you get errors, you should stop, not keep going to the next step.

Make sure the EFI partition is properly mounted and then try this in the chroot:

pacman -Syu linux linux-headers lsb-release nilfs-utils nvidia-dkms passim plasma-browser-integration plasma-desktop plasma-disks plasma-firewall plasma-nm plasma-pa plasma-systemmonitor polkit-kde-agent powerdevil print-manager pv python-pillow python-pycups sddm-kcm thunderbird vim vim-runtime welcome wildmidi xfsprogs --overwrite "*"

For mouting i was following instruction in here and then i mounted dev proc and szs as written here

how would I check if it is properly mounted?

You shouldn’t do that. Just use arch-chroot. It does everything you need.

Inside the chroot run findmnt /efi and ensure it is your EFI partition

I am so sorry for taking your time. I always overthink and overstudy everything. Your last instruction solved my problem, I am back on my system.

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.